- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.sources.locations.findings/export#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.sources.locations.findings/export#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.sources.locations.findings/export#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.sources.locations.findings/export#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.sources.locations.findings/export#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.sources.locations.findings/export#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.sources.locations.findings/export#try-it)

Kicks off an LRO to export findings for an organization to the customer's BigQuery dataset.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.findings.export`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v2/{parent=organizations/*/sources/*/locations/*}/findings:export`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The relative name of the export scope. Example formats: organizations/{organization}/sources/-/locations/{location} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "bigQueryDestination": { object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/BigQueryDestination`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| The destination to export findings to. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `bigQueryDestination` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/BigQueryDestination`)`` Required. The destination BigQuery dataset to export findings to. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).